<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddFile Method (IEdmHistory)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmHistory Interface : AddFile Method (IEdmHistory)

Visual Basic
C#
C++/CLI

lFileID
  ID of file to add

Adds a file to the history listing.

# Syntax

Visual Basic |
--- | ---

    Sub AddFile( _
       ByVal lFileID As System.Integer _
    )

C# |
--- | ---

    void AddFile(
       System.int lFileID
    )

C++/CLI |
--- | ---

    void AddFile(
    &   System.int lFileID
    )

#### Parameters

lFileID
  ID of file to add

# Example

See the IEdmHistory examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmHistory Interface
IEdmHistory Members

# Availability

SOLIDWORKS PDM Professional Version 6.4